package com.uas.platform.warehouse.online.api;

import com.uas.platform.warehouse.online.entity.Stockin;
import com.uas.platform.warehouse.online.entity.StockinDetail;
import com.uas.platform.warehouse.online.service.StockInService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.List;

/**
 *
 * @author wangmh
 * @date 2017/12/1
 */
@RestController
@RequestMapping("/api/stockIn")
public class StockInController {

    @Autowired
    private StockInService stockInService;

    @RequestMapping(value = "/info/{asnNo}", method = RequestMethod.GET)
    @ResponseBody
    public List<StockinDetail> getStockIn(@PathVariable String asnNo) {
        List<Stockin> stokins = stockInService.findStockIn(asnNo);
        List<StockinDetail> stockinDetails = new ArrayList<>();
        for (Stockin stokin : stokins) {
            stockinDetails.addAll(stokin.getDetails());
        }
        return stockinDetails;
    }
}
