package com.uas.platform.warehouse.online.service;

import com.uas.platform.warehouse.online.entity.AppAuthentication;

/**
 * Abstract interface for applying for app key.
 *
 * @author huxz
 */
public interface ApplicationService {

  /**
   * Create app authentication record when admin agrees.
   *
   * @param authentication  app authentication info
   * @return  authentication when saved
   */
  AppAuthentication createAuthenticationWhenAgree(AppAuthentication authentication);
}
