(function (document, angular) {
    angular.module('app')
        .controller('WarehousingController', WarehousingController);

    function WarehousingController($http, $scope) {

        $scope.searchStockIn = function () {
            var asnNo =  $scope.asnNo;
            $http({
                method: 'GET',
                url: '/api/stockIn/info/'+asnNo,
            }).then(function (response) {
                $scope.sockIns = response.data;
            }, function (error) {
                console.log(error);
                if (error.data) {
                    alert(error.data.message);
                } else {
                    alert(error.status + ":" + error.statusText);
                }
            });
        }

    }

})(document, angular);
