package com.uas.platform.warehouse.tools.domain;

import com.uas.platform.warehouse.core.util.JacksonUtils;
import java.io.Serializable;

/**
 * Abstract Java Bean implementation for {@code Reply}.
 *
 * @author huxz
 */
public abstract class AbstractReply implements Reply, Serializable {

  private static final long serialVersionUID = 3907653425312837953L;

  @Override
  public String toString() {
    return JacksonUtils.toJson(this);
  }
}
