package com.uas.platform.warehouse.tools.domain;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * @Author liujw
 * @Date 2017/12/19 11:27
 */
public class ProductMainfest {

    @JsonIgnore
    private long id;

    /**
     *物料编号
     */
    private String code;

    /**
     *海关编码
     */
    private String custoCode;

    /**
     * 申报要素
     */
    private String customsElement;

    /**
     * 原产国
     */
    private String originCountry;

    /**
     * 币别
     */
    private String currency;

    /**
     *征免
     */
    private String customsExemption;

    /**
     * 备注信息
     */
    private String remark;

    /**
     * 数据类型.
     */
    private String type;

    /**
     * 接收方UU.
     */
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String receiverUU;

    /**
     * 发送方UU.
     */
    private String senderUU;

    /**
     * 企业名称.
     */
    @JsonProperty(access = JsonProperty.Access.WRITE_ONLY)
    private String enterprise;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getCustoCode() {
        return custoCode;
    }

    public void setCustoCode(String custoCode) {
        this.custoCode = custoCode;
    }

    public String getCustomsElement() {
        return customsElement;
    }

    public void setCustomsElement(String customsElement) {
        this.customsElement = customsElement;
    }

    public String getOriginCountry() {
        return originCountry;
    }

    public void setOriginCountry(String originCountry) {
        this.originCountry = originCountry;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getCustomsExemption() {
        return customsExemption;
    }

    public void setCustomsexEmption(String customsExemption) {
        this.customsExemption = customsExemption;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getReceiverUU() {
        return receiverUU;
    }

    public void setReceiverUU(String receiverUU) {
        this.receiverUU = receiverUU;
    }

    public String getSenderUU() {
        return senderUU;
    }

    public void setSenderUU(String senderUU) {
        this.senderUU = senderUU;
    }

    public String getEnterprise() {
        return enterprise;
    }

    public void setEnterprise(String enterprise) {
        this.enterprise = enterprise;
    }
}
