package com.uas.platform.warehouse.tools.domain;

import org.joda.time.LocalDateTime;

import java.util.Date;

/**
 * @Author liujw
 * @Date 2018/1/10 9:07
 */
public class Status {

    private long id;
    /**
     * 单据ID
     */
    private String billId;

    /**
     * 状态
     */
    private BillStatus billStatus;

    /**
     * 回复时间
     */
    private Date replyTime = LocalDateTime.now().toDate();

    /**
     * 备注
     */
    private String remark;

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getBillId() {
        return billId;
    }

    public void setBillId(String billId) {
        this.billId = billId;
    }

    public BillStatus getBillStatus() {
        return billStatus;
    }

    public void setBillStatus(BillStatus billStatus) {
        this.billStatus = billStatus;
    }

    public Date getReplyTime() {
        return replyTime;
    }

    public void setReplyTime(Date replyTime) {
        this.replyTime = replyTime;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public enum BillStatus{
        /**
         * 已获取
         */
        OK,

        /**
         * 未获取成功
         */
        ERROR
    }
}
