package com.uas.platform.warehouse.backend;

import org.springframework.boot.Banner.Mode;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * Configuration for bootstrapping.
 *
 * @author huxz
 */
@SpringBootApplication
@EnableScheduling
public class BackendApplication {

  /**
   * Application entry.
   *
   * @param args  command line parameters
   */
  public static void main(String[] args) {
    new SpringApplicationBuilder(BackendApplication.class)
        .bannerMode(Mode.OFF)
        .web(true)
        .run(args);
  }

}
