package com.uas.platform.warehouse.backend.entity;

/**
 * Represent whether voucher synchronizes to mongodb.
 *
 * @author huxz
 */
public enum SynchState {

  /**
   * Voucher not in mongodb.
   */
  TO_BE_SYNCH,

  /**
   * Voucher has been synchronized to mongodb.
   */
  SYNCHED
}
