package com.uas.platform.warehouse.core.domain;

/**
 * 单据类型，用于表示单据通知和单据回传所对应单据的类型，如出货单、入库单.
 *
 * @author huxz
 */
public enum VoucherType {

  /**
   * 出货单类型.
   */
  STOCK_OUT,

  /**
   * 入库单类型.
   */
  STOCK_IN,

  /**
   * 调拨单类型
   */
  STOCK_TRANSFER,

  /**
   * 物料资料
   */
  STOCK_ITEM
}
