package com.uas.platform.warehouse.backend.transport.auth.service;

import com.uas.platform.warehouse.backend.transport.auth.entity.AppAuthentication;

/**
 * Abstract interface for app authentication operations.
 *
 * @author huxz
 */
public interface AppAuthenticationService {

  /**
   * Load app authentication, according to app key.
   *
   * @param appKey  identifier of user
   * @return  app authentication info
   */
  AppAuthentication loadAuthenticationByAppKey(String appKey);
}
