package com.uas.platform.warehouse.backend.transport.service;

import com.uas.platform.warehouse.backend.transport.entity.BaseReply;
import com.uas.platform.warehouse.backend.transport.entity.Notification;
import com.uas.platform.warehouse.backend.transport.entity.TransferStatus;

/**
 * Abstract interface for shipment operations.
 *
 * @author huxz
 */
public interface NotificationService {

  /**
   * Save voucher data to mongo for warehouse provider downloading.
   *
   * @param notification  info of voucher
   * @return  the status of transfer
   */
  TransferStatus saveVoucherDataToMongo(Notification notification);

  TransferStatus replyFromWarehouse(BaseReply reply);
}
